List full user documents
Description
List all users in the system as full user objects.This function is only available to administrators.
Request
GET /v1/users/full
Response
Successful response contains the following JSON formated body:
{
userId: string,
name: string,
email: string,
isAdmin: boolean,
isEnterprise: boolean,
actions: string[],
tags: {
[key: string]: string
},
organizationsQuota: {
name: string,
value: number
},
termsRevision: string,
dateOfConsent: string
}
Response Status codes:
200 on success
403 if not administrator
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>
Request Query Parameters
This request supports the following query parameters:
userGroupOnly list specified group of users. Available values are:demo,enterprise
Example
Request
curl "https://api.cloud.nabto.com/v1/users/full" \
-H "Authorization: Bearer <ApiKey>"
Response
{
"userId": "us-abcdefgh",
"name": "friendly name",
"email": "[email protected]",
"isAdmin": true,
"isEnterprise": true,
"actions":[ "nabto5:write",
...],
"tags": {
"foo": "bar"
},
"organizationsQuota": {
"name": "friendly name",
"value": 42
},
"termsRevision": "<termsRevision>",
"dateOfConsent": "<dateOfConsent>"
}